org.apache.cassandra.io.compress

## Class CompressedSequentialWriter.TransactionalProxy

- java.lang.Object
- - org.apache.cassandra.utils.concurrent.Transactional.AbstractTransactional
  - - org.apache.cassandra.io.util.SequentialWriter.TransactionalProxy
    - - org.apache.cassandra.io.compress.CompressedSequentialWriter.TransactionalProxy

All Implemented Interfaces:
  java.lang.AutoCloseable, Transactional

Enclosing class:
  CompressedSequentialWriter

    protected class CompressedSequentialWriter.TransactionalProxy
    extends SequentialWriter.TransactionalProxy

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.utils.concurrent.Transactional.AbstractTransactional

`Transactional.AbstractTransactional.State`

### Nested classes/interfaces inherited from interface org.apache.cassandra.utils.concurrent.Transactional

`Transactional.AbstractTransactional`

### Constructor Summary

Constructors
`protected` `TransactionalProxy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.Throwable` `doAbort(java.lang.Throwable accumulate)`
`protected java.lang.Throwable` `doCommit(java.lang.Throwable accumulate)`
`protected void` `doPrepare()` Do any preparatory work prior to commit.

### Methods inherited from class org.apache.cassandra.io.util.SequentialWriter.TransactionalProxy

`doPreCleanup`

### Methods inherited from class org.apache.cassandra.utils.concurrent.Transactional.AbstractTransactional

`abort, abort, close, commit, commit, doPostCleanup, finish, permitRedundantTransitions, prepareToCommit, state`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransactionalProxy

    protected TransactionalProxy()

### Method Detail

#### doCommit

    protected java.lang.Throwable doCommit(java.lang.Throwable accumulate)

Overrides:
  `doCommit` in class `SequentialWriter.TransactionalProxy`

#### doAbort

    protected java.lang.Throwable doAbort(java.lang.Throwable accumulate)

Overrides:
  `doAbort` in class `SequentialWriter.TransactionalProxy`

#### doPrepare

    protected void doPrepare()

Description copied from class: `Transactional.AbstractTransactional`
Do any preparatory work prior to commit. This method should throw any exceptions that can be encountered during the finalization of the behaviour.

Overrides:
  `doPrepare` in class `SequentialWriter.TransactionalProxy`